Subject: Re: Unable to open files including Korean names
From: Jaeho Shin <[email-masked]>
To: "Pierre A. Humblet" <[email-masked]>
Cc: [email-masked]
Date: Tue, 15 Jun 2004 20:11:28 +0900

On Mon, 2004-06-14 16:19:17 -0400, Pierre A. Humblet wrote:
> 
> "Pierre A. Humblet" wrote:
> > 
> > I am surprised that ls -l works, as it also calls NtCreateFile.
> > Could you strace it too?
> 
> Actually the best would be to have a Korean directory with one file
> in it and to 
> strace -o strace.txt  "ls -l dir dir/file"

Here you go.  (gzip'ed it due to big size again)
I ran strace -o strace-ls-10.txt ls -l 한글 한글/testfile.

It's quite a troublesome job to shut all those process running from
1.5.9 and then upgrade to 1.5.10 for strace'ing, and again back to 1.5.9
launching everything back.  However, I doesn't matter if I can help
solving this problem. :-)

-- 
신재호 | Jaeho Shin <[email-masked]> | http://netj.org/
System Programmers' Association for Researching Computer Systems
Division of Computer Science, Department of EECS, KAIST